network.Socket Class Reference

Connection object. More...

## Public Member Functions

def | disconnect_cb (self, disconnect_cb)
| Change the callback for disconnect notification. More...
def | close (self)
| Close the network connection. More...
def | send (self, data)
| Send data over the network. More...
def | sendline (self, data)
| Send a line of text. More...
def | recv (self, maxsize=4096)
| Read data from the network. More...
def | rawread (self, callback, error=None)
| Register function to be called when data is ready for reading. More...
def | read (self, callback, error=None, maxsize=4096)
| Register function to be called when data is received. More...
def | readlines (self, callback, error=None, maxsize=4096)
| Buffer incoming data until a line is received, then call a function. More...
def | unread (self)
| Cancel a read() or rawread() callback. More...

## Public Attributes

| tls
| read only variable which indicates whether TLS encryption is used on this socket. More...
| remote
| remote end of the network connection. More...
| connections
| connections set where this socket is registered. More...
| socket
| underlying socket object. More...

## Detailed Description

Connection object.

Definition at line 187 of file network.py.

The documentation for this class was generated from the following file:

- network.py